CMDLINER-INSTALL(1)

NAME

cmdliner-install - Install support files for cmdliner tools

SYNOPSIS

cmdliner install COMMAND …

DESCRIPTION

cmdliner install subcommands install cmdliner support files. See the library documentation or invoke subcommands with --help for more details.

COMMANDS

generic-completion [--dry-run] [--shell=SHELL] [--update-opam-install=PKG.install] [OPTION]… SHAREDIR
    Install generic completion scripts

tool-completion [OPTION]… TOOLNAME… SHAREDIR
    Install tool completion scripts

tool-manpages [--dry-run] [--update-opam-install=PKG.install] [OPTION]… TOOLEXEC[:NAME]… MANDIR
    Install tool and subcommand manpages

tool-support [OPTION]… TOOLEXEC[:NAME]… PREFIX
    Install both tool completion and manpages

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

cmdliner install exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

SEE ALSO

cmdliner(1)